X2Go Bug report logs - #84
DESTDIR and OPTFLAGS patches for nx-libs

Package: nx-libs; Maintainer for nx-libs is X2Go Developers <x2go-dev@lists.x2go.org>;

Reported by: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

Date: Wed, 12 Dec 2012 12:03:38 UTC

Severity: normal

Forwarded to https://github.com/ArcticaProject/nx-libs/issues/141

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#84; Package nx-libs. (Wed, 12 Dec 2012 12:03:38 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
New Bug report received and forwarded. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Wed, 12 Dec 2012 12:03:38 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: submit@bugs.x2go.org
Cc: Orion Poplawski <orion@cora.nwra.com>
Subject: DESTDIR and OPTFLAGS patches for nx-libs
Date: Wed, 12 Dec 2012 13:03:20 +0100
[Message part 1 (text/plain, inline)]
Package: nx-libs

Patches attached for nx-libs:
- bin/Makefile doesn't support DESTDIR.  The attached   
nx-libs-destdir.patch partially addresses that.
- The various nx*/configure.in files do not honor passed in compiler  
flags. The attached nx-libs-optflags.patch fixes that.  Note also  
though that CFLAGS is used in some and CPPFLAGS in others.


----- Weitergeleitete Nachricht von orion@cora.nwra.com -----
     Datum: Tue, 11 Dec 2012 16:11:02 -0700
       Von: Orion Poplawski <orion@cora.nwra.com>
Antwort an: x2go-dev@lists.berlios.de
   Betreff: [X2Go-Dev] x2go for Fedora packaging issues
        An: x2go-dev@lists.berlios.de

[...]

Thank you for your attention.

- Orion


-- 
Orion Poplawski
Technical Manager                     303-415-9701 x222
NWRA, Boulder Office                  FAX: 303-415-9702
3380 Mitchell Lane                       orion@nwra.com
Boulder, CO 80301                   http://www.nwra.com


----- Ende der weitergeleiteten Nachricht -----


-- 

DAS-NETZWERKTEAM
mike gabriel, rothenstein 5, 24214 neudorf-bornstein
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[nx-libs-destdir.patch (text/x-patch, attachment)]
[nx-libs-optflags.patch (text/x-patch, attachment)]
[Message part 4 (application/pgp-signature, inline)]

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#84; Package nx-libs. (Wed, 12 Dec 2012 12:24:43 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Wed, 12 Dec 2012 12:24:43 GMT) Full text and rfc822 format available.

Message #10 received at 84@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 84@bugs.x2go.org
Cc: control@bugs.x2go.org
Subject: Patch has been applied to nx-libs.git
Date: Wed, 12 Dec 2012 13:24:27 +0100
[Message part 1 (text/plain, inline)]
tag #84 pending
thanks

The OPTFLAGS patch has been applied to nx-libs.git:
http://code.x2go.org/gitweb?p=nx-libs.git;a=commitdiff;h=923b7c7eb08520622becfa86389abc2a45e771b7
http://code.x2go.org/gitweb?p=nx-libs.git;a=commitdiff;h=3727d736b600096b9a177bec5b8639605ba776ac

The DESTDIR patch had already been committed to nx-libs.git (reported  
by Jan Engelhard):
http://code.x2go.org/gitweb?p=nx-libs.git;a=commitdiff;h=5a640efd1002d5fadff72542afb8e00bd14bcb6e

Greets,
Mike

-- 

DAS-NETZWERKTEAM
mike gabriel, rothenstein 5, 24214 neudorf-bornstein
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Added tag(s) pending. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Wed, 12 Dec 2012 12:24:43 GMT) Full text and rfc822 format available.

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#84; Package nx-libs. (Tue, 08 Jan 2013 12:33:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bernard Cafarelli <voyageur@gentoo.org>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Tue, 08 Jan 2013 12:33:02 GMT) Full text and rfc822 format available.

Message #17 received at 84@bugs.x2go.org (full text, mbox):

From: Bernard Cafarelli <voyageur@gentoo.org>
To: 84@bugs.x2go.org
Subject: Hardcoded -O3 in CFLAGS
Date: Tue, 08 Jan 2013 13:23:22 +0100
Regarding the optflags patch, is it possible to drop altogether the 
hardcoded "-O3" in C/CXXFLAGS in the various configure.in? This would 
remove the need for 4 autoreconf when using another optimization level

-- 
Bernard Cafarelli (Voyageur)
Gentoo developer (NX, GNUstep, net-misc, llvm/clang, ...)


Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#84; Package nx-libs. (Tue, 08 Jan 2013 16:18:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jan Engelhardt <jengelh@inai.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Tue, 08 Jan 2013 16:18:01 GMT) Full text and rfc822 format available.

Message #22 received at 84@bugs.x2go.org (full text, mbox):

From: Jan Engelhardt <jengelh@inai.de>
To: Bernard Cafarelli <voyageur@gentoo.org>, 84@bugs.x2go.org, x2go-dev@lists.berlios.de
Subject: Re: [X2Go-Dev] Bug#84: Hardcoded -O3 in CFLAGS
Date: Tue, 8 Jan 2013 17:07:12 +0100 (CET)
On Tuesday 2013-01-08 13:23, Bernard Cafarelli wrote:

>Regarding the optflags patch, is it possible to drop altogether the 
>hardcoded "-O3" in C/CXXFLAGS in the various configure.in? This would 
>remove the need for 4 autoreconf when using another optimization level

Why would autoreconf be rerun if you use ./configure CFLAGS=-O2 
CXXFLAGS=-O2?

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#84; Package nx-libs. (Tue, 08 Jan 2013 21:33:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Tue, 08 Jan 2013 21:33:01 GMT) Full text and rfc822 format available.

Message #27 received at 84@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 84@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#84: Hardcoded -O3 in CFLAGS
Date: Tue, 08 Jan 2013 22:25:54 +0100
[Message part 1 (text/plain, inline)]
Hi Bernard,

On Di 08 Jan 2013 13:23:22 CET Bernard Cafarelli wrote:

> Regarding the optflags patch, is it possible to drop altogether the  
> hardcoded "-O3" in C/CXXFLAGS in the various configure.in? This  
> would remove the need for 4 autoreconf when using another  
> optimization level

I actually plan to work on hardening the nx-libs build [1]. If you  
have experience with that, please appear on #x2go irc.freenode.net and  
let us discuss the needed steps.

Greets,
Mike

[1] http://wiki.debian.org/Hardening

-- 

DAS-NETZWERKTEAM
mike gabriel, rothenstein 5, 24214 neudorf-bornstein
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#84; Package nx-libs. (Wed, 09 Jan 2013 00:03:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bernard Cafarelli <voyageur@gentoo.org>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Wed, 09 Jan 2013 00:03:02 GMT) Full text and rfc822 format available.

Message #32 received at 84@bugs.x2go.org (full text, mbox):

From: Bernard Cafarelli <voyageur@gentoo.org>
To: 84@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#84: Hardcoded -O3 in CFLAGS
Date: Wed, 9 Jan 2013 01:00:11 +0100
Le Tue, 8 Jan 2013 17:07:12 +0100 (CET)
Jan Engelhardt <jengelh@inai.de> a écrit:
> Why would autoreconf be rerun if you use ./configure CFLAGS=-O2 
> CXXFLAGS=-O2?

I meant, without first removing the "-O3" from configure.in (before
autoreconf)

With current configure.in, setting CXXFLAGS to "-O2" will give this:
nxcomp $ autoreconf && ./configure && make
[...]
g++ -c -O2 -O3 -fno-rtti -fno-exceptions -I../nx-X11/exports/include
-Wmissing-declarations -fPIC -DIN_ADDR_T=in_addr_t -DVERSION=\"3.5.0\"
-DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\"
-DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\" -DPACKAGE_URL=\"\" -Wall
-Wpointer-arith   EncodeBuffer.cpp

Editing CXXFLAGS to "$CXXFLAGS -fno-rtti -fno-exceptions" will use
user-defined optimization level 2

If hardcoded "-O3" is required, some test could be added to set "-O3"
if CXXFLAGS is unset, then appending the rtti/exceptions flags

Removed tag(s) pending. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Wed, 09 Jan 2013 11:45:59 GMT) Full text and rfc822 format available.

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#84; Package nx-libs. (Wed, 09 Jan 2013 14:18:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jan Engelhardt <jengelh@inai.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Wed, 09 Jan 2013 14:18:02 GMT) Full text and rfc822 format available.

Message #39 received at 84@bugs.x2go.org (full text, mbox):

From: Jan Engelhardt <jengelh@inai.de>
To: Bernard Cafarelli <voyageur@gentoo.org>, 84@bugs.x2go.org, x2go-dev@lists.berlios.de
Subject: Re: [X2Go-Dev] Bug#84: Hardcoded -O3 in CFLAGS
Date: Wed, 9 Jan 2013 15:16:05 +0100 (CET)
On Wednesday 2013-01-09 01:00, Bernard Cafarelli wrote:

>Le Tue, 8 Jan 2013 17:07:12 +0100 (CET)
>Jan Engelhardt <jengelh@inai.de> a écrit:
>> Why would autoreconf be rerun if you use ./configure CFLAGS=-O2 
>> CXXFLAGS=-O2?
>
>I meant, without first removing the "-O3" from configure.in (before
>autoreconf)
>
>With current configure.in, setting CXXFLAGS to "-O2" will give this:
>nxcomp $ autoreconf && ./configure && make
>[...]
>g++ -c -O2 -O3 -fno-rtti -fno-exceptions -I../nx-X11/exports/include
>-Wmissing-declarations -fPIC -DIN_ADDR_T=in_addr_t -DVERSION=\"3.5.0\"
>-DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\"
>-DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\" -DPACKAGE_URL=\"\" -Wall
>-Wpointer-arith   EncodeBuffer.cpp

I tried the following, but it's not taking any effect. Must be some 
!@#$%^& going on.

<<<<

Give user-specified CXXFLAGS/CFLAGS/LDFLAGS/LIBS higher precedence.

---
 nxcomp/Makefile.in     |    6 ++----
 nxcompext/Makefile.in  |   14 +++++++-------
 nxcompshad/Makefile.in |    5 ++---
 nxproxy/Makefile.in    |    4 ++--
 4 files changed, 13 insertions(+), 16 deletions(-)

Index: nx-libs-3.5.0.17/nxcomp/Makefile.in
===================================================================
--- nx-libs-3.5.0.17.orig/nxcomp/Makefile.in
+++ nx-libs-3.5.0.17/nxcomp/Makefile.in
@@ -36,8 +36,7 @@ LIBVERSION=@LIBVERSION@
 #
 
 CXX         = @CXX@
-CXXFLAGS    = @CXXFLAGS@ @X_CFLAGS@ @DEFS@ \
-              -Wall -Wpointer-arith
+CXXFLAGS    = @X_CFLAGS@ @DEFS@ -Wall -Wpointer-arith @CXXFLAGS@
 CXXINCLUDES =
 CXXDEFINES  =
 
@@ -46,8 +45,7 @@ CXXDEFINES  =
 # 
 
 CC          = @CC@
-CCFLAGS     = @CFLAGS@ @X_CFLAGS@ @DEFS@ \
-              -Wall -Wpointer-arith
+CCFLAGS     = @X_CFLAGS@ @DEFS@ -Wall -Wpointer-arith @CFLAGS@
 CCINCLUDES  =
 CCDEFINES   =
 
Index: nx-libs-3.5.0.17/nxcompext/Makefile.in
===================================================================
--- nx-libs-3.5.0.17.orig/nxcompext/Makefile.in
+++ nx-libs-3.5.0.17/nxcompext/Makefile.in
@@ -28,26 +28,26 @@ LIBVERSION=@LIBVERSION@
 #
 
 CXX         = @CXX@
-CXXFLAGS    = @CXXFLAGS@ @X_CFLAGS@ @DEFS@ \
+CXXFLAGS    = @X_CFLAGS@ @DEFS@ \
               -Wall -Wpointer-arith -Wstrict-prototypes -Wmissing-prototypes \
-              -Wmissing-declarations -Wnested-externs
+              -Wmissing-declarations -Wnested-externs @CXXFLAGS@
 CXXINCLUDES = -I. -I../nxcomp
 CXXDEFINES  =
 
 CC          = @CC@
-CCFLAGS     = @CFLAGS@ @X_CFLAGS@ @DEFS@ \
+CCFLAGS     = @X_CFLAGS@ @DEFS@ \
               -Wall -Wpointer-arith -Wstrict-prototypes -Wmissing-prototypes \
-              -Wmissing-declarations -Wnested-externs
+              -Wmissing-declarations -Wnested-externs @CFLAGS@
 CCINCLUDES  = -I. -I../nxcomp
 CCDEFINES   =
 
-LDFLAGS     = @LDFLAGS@ -L../nxcomp
-LIBS        = @LIBS@ -lz -lNX_X11 -lXcomp
+LDFLAGS     = -L../nxcomp @LDFLAGS@
+LIBS        = -lz -lNX_X11 -lXcomp @LIBS@
 
 #
 # Only if THREADS is defined
 #
-# LIBS = @LIBS@ -lz -ljpeg -lpthread -lNX_X11 -lXcomp
+# LIBS = -lz -ljpeg -lpthread -lNX_X11 -lXcomp @LIBS@
 #
 
 srcdir      = @srcdir@
Index: nx-libs-3.5.0.17/nxcompshad/Makefile.in
===================================================================
--- nx-libs-3.5.0.17.orig/nxcompshad/Makefile.in
+++ nx-libs-3.5.0.17/nxcompshad/Makefile.in
@@ -31,8 +31,7 @@ LIBVERSION=@LIBVERSION@
 #
 
 CXX         = @CXX@
-CXXFLAGS    = @CXXFLAGS@ @X_CFLAGS@ @DEFS@ \
-              -Wall -Wpointer-arith
+CXXFLAGS    = @X_CFLAGS@ @DEFS@ -Wall -Wpointer-arith @CXXFLAGS@
 CXXINCLUDES =
 CXXDEFINES  =
 
@@ -48,7 +47,7 @@ CCINCLUDES  =
 CCDEFINES   =
 
 LDFLAGS     = @LDFLAGS@
-LIBS        = @LIBS@ -lNX_X11
+LIBS        = -lNX_X11 @LIBS@
 
 #
 # Only if THREADS is defined.
Index: nx-libs-3.5.0.17/nxproxy/Makefile.in
===================================================================
--- nx-libs-3.5.0.17.orig/nxproxy/Makefile.in
+++ nx-libs-3.5.0.17/nxproxy/Makefile.in
@@ -11,9 +11,9 @@ LIBVERSION=@LIBVERSION@
 # -Wredundant-decls
 #
 CXX      = @CXX@
-CXXFLAGS = @CXXFLAGS@ @X_CFLAGS@ @DEFS@ \
+CXXFLAGS = @X_CFLAGS@ @DEFS@ \
            -Wall -Wpointer-arith -Wstrict-prototypes -Wmissing-prototypes \
-           -Wmissing-declarations -Wnested-externs
+           -Wmissing-declarations -Wnested-externs @CXXFLAGS@
 
 CXXINCLUDES = -I. -I../nxcomp
 

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#84; Package nx-libs. (Wed, 09 Jan 2013 14:33:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Reinhard Tartler <siretart@gmail.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Wed, 09 Jan 2013 14:33:01 GMT) Full text and rfc822 format available.

Message #44 received at 84@bugs.x2go.org (full text, mbox):

From: Reinhard Tartler <siretart@gmail.com>
To: 84@bugs.x2go.org
Cc: Bernard Cafarelli <voyageur@gentoo.org>, Jan Engelhardt <jengelh@inai.de>
Subject: Re: [X2Go-Dev] Bug#84: Hardcoded -O3 in CFLAGS
Date: Wed, 9 Jan 2013 15:21:01 +0100
On Wed, Jan 9, 2013 at 3:16 PM, Jan Engelhardt <jengelh@inai.de> wrote:
> On Wednesday 2013-01-09 01:00, Bernard Cafarelli wrote:
>
>>Le Tue, 8 Jan 2013 17:07:12 +0100 (CET)
>>Jan Engelhardt <jengelh@inai.de> a écrit:
>>> Why would autoreconf be rerun if you use ./configure CFLAGS=-O2
>>> CXXFLAGS=-O2?
>>
>>I meant, without first removing the "-O3" from configure.in (before
>>autoreconf)
>>
>>With current configure.in, setting CXXFLAGS to "-O2" will give this:
>>nxcomp $ autoreconf && ./configure && make
>>[...]
>>g++ -c -O2 -O3 -fno-rtti -fno-exceptions -I../nx-X11/exports/include
>>-Wmissing-declarations -fPIC -DIN_ADDR_T=in_addr_t -DVERSION=\"3.5.0\"
>>-DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\"
>>-DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\" -DPACKAGE_URL=\"\" -Wall
>>-Wpointer-arith   EncodeBuffer.cpp
>
> I tried the following, but it's not taking any effect. Must be some
> !@#$%^& going on.
>
> <<<<
>
> Give user-specified CXXFLAGS/CFLAGS/LDFLAGS/LIBS higher precedence.
>
> ---
>  nxcomp/Makefile.in     |    6 ++----
>  nxcompext/Makefile.in  |   14 +++++++-------
>  nxcompshad/Makefile.in |    5 ++---
>  nxproxy/Makefile.in    |    4 ++--
>  4 files changed, 13 insertions(+), 16 deletions(-)
>
> Index: nx-libs-3.5.0.17/nxcomp/Makefile.in
> ===================================================================
> --- nx-libs-3.5.0.17.orig/nxcomp/Makefile.in
> +++ nx-libs-3.5.0.17/nxcomp/Makefile.in
> @@ -36,8 +36,7 @@ LIBVERSION=@LIBVERSION@
>  #
>
>  CXX         = @CXX@
> -CXXFLAGS    = @CXXFLAGS@ @X_CFLAGS@ @DEFS@ \
> -              -Wall -Wpointer-arith
> +CXXFLAGS    = @X_CFLAGS@ @DEFS@ -Wall -Wpointer-arith @CXXFLAGS@
>  CXXINCLUDES =
>  CXXDEFINES  =
>
> @@ -46,8 +45,7 @@ CXXDEFINES  =
>  #
>
>  CC          = @CC@
> -CCFLAGS     = @CFLAGS@ @X_CFLAGS@ @DEFS@ \
> -              -Wall -Wpointer-arith
> +CCFLAGS     = @X_CFLAGS@ @DEFS@ -Wall -Wpointer-arith @CFLAGS@
>  CCINCLUDES  =
>  CCDEFINES   =
>
> Index: nx-libs-3.5.0.17/nxcompext/Makefile.in
> ===================================================================
> --- nx-libs-3.5.0.17.orig/nxcompext/Makefile.in
> +++ nx-libs-3.5.0.17/nxcompext/Makefile.in
> @@ -28,26 +28,26 @@ LIBVERSION=@LIBVERSION@
>  #
>
>  CXX         = @CXX@
> -CXXFLAGS    = @CXXFLAGS@ @X_CFLAGS@ @DEFS@ \
> +CXXFLAGS    = @X_CFLAGS@ @DEFS@ \
>                -Wall -Wpointer-arith -Wstrict-prototypes -Wmissing-prototypes \
> -              -Wmissing-declarations -Wnested-externs
> +              -Wmissing-declarations -Wnested-externs @CXXFLAGS@
>  CXXINCLUDES = -I. -I../nxcomp
>  CXXDEFINES  =
>
>  CC          = @CC@
> -CCFLAGS     = @CFLAGS@ @X_CFLAGS@ @DEFS@ \
> +CCFLAGS     = @X_CFLAGS@ @DEFS@ \
>                -Wall -Wpointer-arith -Wstrict-prototypes -Wmissing-prototypes \
> -              -Wmissing-declarations -Wnested-externs
> +              -Wmissing-declarations -Wnested-externs @CFLAGS@
>  CCINCLUDES  = -I. -I../nxcomp
>  CCDEFINES   =
>
> -LDFLAGS     = @LDFLAGS@ -L../nxcomp
> -LIBS        = @LIBS@ -lz -lNX_X11 -lXcomp
> +LDFLAGS     = -L../nxcomp @LDFLAGS@
> +LIBS        = -lz -lNX_X11 -lXcomp @LIBS@
>
>  #
>  # Only if THREADS is defined
>  #
> -# LIBS = @LIBS@ -lz -ljpeg -lpthread -lNX_X11 -lXcomp
> +# LIBS = -lz -ljpeg -lpthread -lNX_X11 -lXcomp @LIBS@
>  #
>
>  srcdir      = @srcdir@
> Index: nx-libs-3.5.0.17/nxcompshad/Makefile.in
> ===================================================================
> --- nx-libs-3.5.0.17.orig/nxcompshad/Makefile.in
> +++ nx-libs-3.5.0.17/nxcompshad/Makefile.in
> @@ -31,8 +31,7 @@ LIBVERSION=@LIBVERSION@
>  #
>
>  CXX         = @CXX@
> -CXXFLAGS    = @CXXFLAGS@ @X_CFLAGS@ @DEFS@ \
> -              -Wall -Wpointer-arith
> +CXXFLAGS    = @X_CFLAGS@ @DEFS@ -Wall -Wpointer-arith @CXXFLAGS@
>  CXXINCLUDES =
>  CXXDEFINES  =
>
> @@ -48,7 +47,7 @@ CCINCLUDES  =
>  CCDEFINES   =
>
>  LDFLAGS     = @LDFLAGS@
> -LIBS        = @LIBS@ -lNX_X11
> +LIBS        = -lNX_X11 @LIBS@
>
>  #
>  # Only if THREADS is defined.
> Index: nx-libs-3.5.0.17/nxproxy/Makefile.in
> ===================================================================
> --- nx-libs-3.5.0.17.orig/nxproxy/Makefile.in
> +++ nx-libs-3.5.0.17/nxproxy/Makefile.in
> @@ -11,9 +11,9 @@ LIBVERSION=@LIBVERSION@
>  # -Wredundant-decls
>  #
>  CXX      = @CXX@
> -CXXFLAGS = @CXXFLAGS@ @X_CFLAGS@ @DEFS@ \
> +CXXFLAGS = @X_CFLAGS@ @DEFS@ \
>             -Wall -Wpointer-arith -Wstrict-prototypes -Wmissing-prototypes \
> -           -Wmissing-declarations -Wnested-externs
> +           -Wmissing-declarations -Wnested-externs @CXXFLAGS@
>
>  CXXINCLUDES = -I. -I../nxcomp


AFAIUI, this is not a fix. Instead of replacing the hardcoded values,
this patch ensures that all options end behind the hardcoded values.
This makes it impossible to drop compiler flags that are specified
within.

This may be fair when your goal is to only change the optimization
level, but may be insufficient when the goal is a hardened build.

-- 
regards,
    Reinhard

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#84; Package nx-libs. (Wed, 09 Jan 2013 14:33:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jan Engelhardt <jengelh@inai.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Wed, 09 Jan 2013 14:33:02 GMT) Full text and rfc822 format available.

Message #49 received at 84@bugs.x2go.org (full text, mbox):

From: Jan Engelhardt <jengelh@inai.de>
To: Reinhard Tartler <siretart@gmail.com>
Cc: 84@bugs.x2go.org, Bernard Cafarelli <voyageur@gentoo.org>
Subject: Re: [X2Go-Dev] Bug#84: Hardcoded -O3 in CFLAGS
Date: Wed, 9 Jan 2013 15:26:06 +0100 (CET)
On Wednesday 2013-01-09 15:21, Reinhard Tartler wrote:
>> +++ nx-libs-3.5.0.17/nxcomp/Makefile.in
>> @@ -36,8 +36,7 @@ LIBVERSION=@LIBVERSION@
>>  #
>>
>>  CXX         = @CXX@
>> -CXXFLAGS    = @CXXFLAGS@ @X_CFLAGS@ @DEFS@ \
>> -              -Wall -Wpointer-arith
>> +CXXFLAGS    = @X_CFLAGS@ @DEFS@ -Wall -Wpointer-arith @CXXFLAGS@
>>  CXXINCLUDES =
>>  CXXDEFINES  =
>>
>AFAIUI, this is not a fix. Instead of replacing the hardcoded values,
>this patch ensures that all options end behind the hardcoded values.
>This makes it impossible to drop compiler flags that are specified
>within.
>
>This may be fair when your goal is to only change the optimization
>level, but may be insufficient when the goal is a hardened build.

I don't care about the "hardened" because that is just another case
of "user wants to specify his own CFLAGS".
I had hoped that @CXXFLAGS@ would be those user-specific ones,
but alas, no.
*Total dismay at Makefile authors who still squat on CXXFLAGS*

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#84; Package nx-libs. (Wed, 09 Jan 2013 15:18:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Wed, 09 Jan 2013 15:18:02 GMT) Full text and rfc822 format available.

Message #54 received at 84@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Jan Engelhardt <jengelh@inai.de>, 84@bugs.x2go.org
Cc: Reinhard Tartler <siretart@gmail.com>, Bernard Cafarelli <voyageur@gentoo.org>
Subject: Re: [X2Go-Dev] Bug#84: Hardcoded -O3 in CFLAGS
Date: Wed, 09 Jan 2013 16:10:41 +0100
[Message part 1 (text/plain, inline)]
Hi Jan,

On Mi 09 Jan 2013 15:26:06 CET Jan Engelhardt wrote:

>
> On Wednesday 2013-01-09 15:21, Reinhard Tartler wrote:
>>> +++ nx-libs-3.5.0.17/nxcomp/Makefile.in
>>> @@ -36,8 +36,7 @@ LIBVERSION=@LIBVERSION@
>>>  #
>>>
>>>  CXX         = @CXX@
>>> -CXXFLAGS    = @CXXFLAGS@ @X_CFLAGS@ @DEFS@ \
>>> -              -Wall -Wpointer-arith
>>> +CXXFLAGS    = @X_CFLAGS@ @DEFS@ -Wall -Wpointer-arith @CXXFLAGS@
>>>  CXXINCLUDES =
>>>  CXXDEFINES  =
>>>
>> AFAIUI, this is not a fix. Instead of replacing the hardcoded values,
>> this patch ensures that all options end behind the hardcoded values.
>> This makes it impossible to drop compiler flags that are specified
>> within.
>>
>> This may be fair when your goal is to only change the optimization
>> level, but may be insufficient when the goal is a hardened build.
>
> I don't care about the "hardened" because that is just another case
> of "user wants to specify his own CFLAGS".
> I had hoped that @CXXFLAGS@ would be those user-specific ones,
> but alas, no.
> *Total dismay at Makefile authors who still squat on CXXFLAGS*

All kind of flags are hard-coded in linux.cf in nx-X11/cf/ (I think).  
You may know imake better then I do. If you could take another look at  
it, that would be awesome.

Note: LDFLAGS appear to be named LDOPTIONS in nx-X11.

Note, that nxcomp, nxcompshad and nxcompext are configured and built  
from within nx-X11/programs/Xserver/Makefile.in (IIRC, might be the  
Makfile.in one level up). So the nx* builds are prepared by imake. I  
guess the only way to address it is to teach imake to let through  
*FLAGS.

The nx-X11 build process is a bummer..., I agree with that. Any help  
and improvement is really appreciated.

Greets + HELP!!! + Arggghhh...,
Mike


-- 

DAS-NETZWERKTEAM
mike gabriel, rothenstein 5, 24214 neudorf-bornstein
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#84; Package nx-libs. (Wed, 09 Jan 2013 15:33:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jan Engelhardt <jengelh@inai.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Wed, 09 Jan 2013 15:33:02 GMT) Full text and rfc822 format available.

Message #59 received at 84@bugs.x2go.org (full text, mbox):

From: Jan Engelhardt <jengelh@inai.de>
To: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Cc: 84@bugs.x2go.org, Reinhard Tartler <siretart@gmail.com>, Bernard Cafarelli <voyageur@gentoo.org>
Subject: Re: [X2Go-Dev] Bug#84: Hardcoded -O3 in CFLAGS
Date: Wed, 9 Jan 2013 16:22:55 +0100 (CET)
On Wednesday 2013-01-09 16:10, Mike Gabriel wrote:
>
> All kind of flags are hard-coded in linux.cf in nx-X11/cf/ (I think). You may
> know imake better then I do. If you could take another look at it, that would
> be awesome.
>
> Note: LDFLAGS appear to be named LDOPTIONS in nx-X11.
>
> Note, that nxcomp, nxcompshad and nxcompext are configured and built from
> within nx-X11/programs/Xserver/Makefile.in (IIRC, might be the Makfile.in one
> level up). So the nx* builds are prepared by imake. I guess the only way to
> address it is to teach imake to let through *FLAGS.
>
> The nx-X11 build process is a bummer..., I agree with that. Any help and
> improvement is really appreciated.

Can we split nxcomp, nxcompshad, nxcompext and nxproxy into
separate tarballs in any way?
After all, they are "just" addons to an existing (X11|nx-libs) tree
that gets installed as well and which looks usable.

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#84; Package nx-libs. (Wed, 09 Jan 2013 15:33:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Reinhard Tartler <siretart@gmail.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Wed, 09 Jan 2013 15:33:03 GMT) Full text and rfc822 format available.

Message #64 received at 84@bugs.x2go.org (full text, mbox):

From: Reinhard Tartler <siretart@gmail.com>
To: Jan Engelhardt <jengelh@inai.de>
Cc: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>, 84@bugs.x2go.org, Bernard Cafarelli <voyageur@gentoo.org>
Subject: Re: [X2Go-Dev] Bug#84: Hardcoded -O3 in CFLAGS
Date: Wed, 9 Jan 2013 16:32:06 +0100
On Wed, Jan 9, 2013 at 4:22 PM, Jan Engelhardt <jengelh@inai.de> wrote:
>
> On Wednesday 2013-01-09 16:10, Mike Gabriel wrote:
>>
>> All kind of flags are hard-coded in linux.cf in nx-X11/cf/ (I think). You may
>> know imake better then I do. If you could take another look at it, that would
>> be awesome.
>>
>> Note: LDFLAGS appear to be named LDOPTIONS in nx-X11.
>>
>> Note, that nxcomp, nxcompshad and nxcompext are configured and built from
>> within nx-X11/programs/Xserver/Makefile.in (IIRC, might be the Makfile.in one
>> level up). So the nx* builds are prepared by imake. I guess the only way to
>> address it is to teach imake to let through *FLAGS.
>>
>> The nx-X11 build process is a bummer..., I agree with that. Any help and
>> improvement is really appreciated.
>
> Can we split nxcomp, nxcompshad, nxcompext and nxproxy into
> separate tarballs in any way?
> After all, they are "just" addons to an existing (X11|nx-libs) tree
> that gets installed as well and which looks usable.

That's what I have initially implemented.

This was reverted because it caused strange segfaults nobody had the
capacity to fully analyze. Mike can fill in the details.

-- 
regards,
    Reinhard

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#84; Package nx-libs. (Wed, 08 May 2013 04:18:01 GMT) Full text and rfc822 format available.

View this message in rfc822 format

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 84@bugs.x2go.org
Subject: Bug#84: [X2Go-Dev] Bug#84: DESTDIR and OPTFLAGS patches for nx-libs
Date: Mon, 13 Jun 2016 22:57:52 +0000
[Message part 1 (text/plain, inline)]
Control: forwarded -1 https://github.com/ArcticaProject/nx-libs/issues/141

Hi,

On  Mi 12 Dez 2012 13:03:20 CET, Mike Gabriel wrote:

> Package: nx-libs
>
> Patches attached for nx-libs:
> - bin/Makefile doesn't support DESTDIR.  The attached   
> nx-libs-destdir.patch partially addresses that.
> - The various nx*/configure.in files do not honor passed in compiler  
> flags. The attached nx-libs-optflags.patch fixes that.  Note also  
> though that CFLAGS is used in some and CPPFLAGS in others.
>
>
> ----- Weitergeleitete Nachricht von orion@cora.nwra.com -----
>      Datum: Tue, 11 Dec 2012 16:11:02 -0700
>        Von: Orion Poplawski <orion@cora.nwra.com>
> Antwort an: x2go-dev@lists.berlios.de
>    Betreff: [X2Go-Dev] x2go for Fedora packaging issues
>         An: x2go-dev@lists.berlios.de
>
> [...]
>
> Thank you for your attention.
>
> - Orion

This issue will be addressed before the 3.6.x release. Issue is being  
tracked as:
https://github.com/ArcticaProject/nx-libs/issues/141

Mike
-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
mobile: +49 (1520) 1976 148
landline: +49 (4354) 8390 139

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/mailxchange/kronolith/fb.php?u=m.gabriel%40das-netzwerkteam.de
[Message part 2 (application/pgp-signature, inline)]

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Mon, 13 Jun 2016 23:00:02 GMT) Full text and rfc822 format available.

Set Bug forwarded-to-address to 'https://github.com/ArcticaProject/nx-libs/issues/141'. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to 84-submit@bugs.x2go.org. (Mon, 13 Jun 2016 23:00:03 GMT) Full text and rfc822 format available.

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#84; Package nx-libs. (Sat, 17 Sep 2016 16:35:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to "FedEx 2Day" <armando.hogan@artemsirak.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Sat, 17 Sep 2016 16:35:01 GMT) Full text and rfc822 format available.

Message #77 received at 84@bugs.x2go.org (full text, mbox):

From: "FedEx 2Day" <armando.hogan@artemsirak.com>
To: 84@bugs.x2go.org
Subject: Unable to deliver your item, #000246753
Date: Sat, 17 Sep 2016 16:24:22 +0000
[Message part 1 (text/plain, inline)]
Dear Customer,

This is to confirm that one or more of your parcels has been shipped.
Shipment Label is attached to this email.

Yours faithfully,
Armando Hogan,
Delivery Agent.

[000246753.zip (application/zip, attachment)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#84; Package nx-libs. (Sun, 18 Sep 2016 01:50:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to "FedEx Standard Overnight" <franklin.mcclain@bodyarmorcompany.net>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Sun, 18 Sep 2016 01:50:02 GMT) Full text and rfc822 format available.

Message #82 received at 84@bugs.x2go.org (full text, mbox):

From: "FedEx Standard Overnight" <franklin.mcclain@bodyarmorcompany.net>
To: 84@bugs.x2go.org
Subject: Problem with parcel shipping, ID:0000846593
Date: Sun, 18 Sep 2016 01:48:30 +0000
[Message part 1 (text/plain, inline)]
Dear Customer,

Your parcel has arrived at September 16. Courier was unable to deliver the parcel to you.
Shipment Label is attached to this email.

Sincerely,
Franklin Mcclain,
FedEx Station Manager.

[FedEx_0000846593.zip (application/zip, attachment)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#84; Package nx-libs. (Sun, 06 Nov 2016 21:55:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to "FedEx International Economy" <julian.marks@parisgaytherapy.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Sun, 06 Nov 2016 21:55:01 GMT) Full text and rfc822 format available.

Message #87 received at 84@bugs.x2go.org (full text, mbox):

From: "FedEx International Economy" <julian.marks@parisgaytherapy.com>
To: 84@bugs.x2go.org
Subject: Unable to deliver your item, #00892406
Date: Sun, 6 Nov 2016 21:50:07 +0000
[Message part 1 (text/plain, inline)]
Dear Customer,

This is to confirm that one or more of your parcels has been shipped.
Please, open email attachment to print shipment label.

Warm regards,
Julian Marks,
FedEx Support Manager.

[FedEx_00892406.zip (application/zip, attachment)]

Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Fri Dec 14 19:14:26 2018; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.